Nous utilisons des cookies pour vous garantir la meilleure expérience sur notre site. Si vous continuez à utiliser ce dernier, nous considèrerons que vous acceptez l'utilisation des cookies. J'ai compris ! ou En savoir plus !.

Installation

d'après le Wiki officiel QGIS

Pour Ubuntu (distribution Linux)

Consulter la documentation Ubuntu francophone

Pour la gestion de l'ecw, une erreur s'est glissée dans la page citée par la documentation ubuntu
(http://geomatips.blogspot.fr/2013/02/paquets-ecw-pour-ubuntu-precise-1204.html)

Le dépôt n'est pas http://riderducoin.com/ubuntu/ mais http://riderducoin.com/ubuntu1/

La ligne à ajouter à /etc/apt/sources.list est donc

deb http://riderducoin.com/ubuntu1/ precise main

Pour Ubuntu 14.04 et dérivé (Mint 17)

Le soucis pour cette version, c'est qu'aucun dépot ne propose la librairie libgdal-ecw-src pour 'Trusty' (14.04). Une solution pour pouvoir tout de même gérer l'ECW est la suivante :

  • ajouter les sources de depot raring dans /etc/apt/sources.list :

# depot qgis pour ecw
deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu raring main
deb-src http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu raring main

  • mettre à jour vos paquets puis installer la librairie

sudo apt-get update
sudo apt-get install libgdal-ecw-src

sudo gdal-ecw-build /usr
ldconfig

  • pour vérifier, vous devriez obtenir la réponse suivante en tapant :

gdalinfo --formats | grep ECW
ECW (rw): ERDAS Compressed Wavelets (SDK 3.x)
JP2ECW (rw+v): ERDAS JPEG2000 (SDK 3.x)

  • Une fois l'installation faite, il n'est pas utile de garder les dépots raring actif, je vous recommande de les commenter dans le fichier /etc/apt/sources.list, en mettant un # devant les deux lignes ajoutées, ne pas oublier d'actualiser les dépôts dans la foulée (sudo apt-get update)

Références :
http://osdir.com/ml/qgis-user-gis/2014-06/msg00237.html
http://muhammadbaihaqi-martin92.blogspot.fr/2014/05/install-ecw-support-qgis-220-valmiera.html
http://gis.stackexchange.com/questions/94870/unable-to-install-ecw-support-on-lubuntu-14-04

UPDATE QGIS > 2.6.1 sous UBUNTU 14.04.X et dérivé Mint (17.X)

Mauvaise surprise depuis la version 2.6.1 de Qgis, libgdal est passé en version 1.11 !
Le soucis, c'est qu'on utilisais précédemment une libgdal-ecw-src issue de “raring” qui était basé sur libgdal 1.10, oups !!
Conséquence logique, aucune version de libdal-ecw-scr_1.11 n'existe actuellement. On devrait donc se retrouver à devoir installer gdal à partir des sources pour pouvoir gérer l'ECW.

Sauf que…coup de bluff génialissime, j'ai tenté d'utiliser le fichier /usr/lib/gdalplugins/1.10/gdal_ECW_JP2ECW.so généré en version 1.10 en le copiant tel quel dans le répertoire que j'ai créé /usr/lib/gdalplugins/1.11/ … et çà marche ! La probabilité était faible, mais par chance, les changements entre les versions 1.10 et 1.11 de gdal n'influent pas sur cette partie.

En résumé :
- installer l'ECW comme pour la version 14.04 (ci-dessus) qui fonctionne avec gdal 1.10,
- en root, créer le répertoire /usr/lib/gdalplugins/1.11,
- copier le fichier /usr/lib/gdalplugins/1.10/gdal_ECW_JP2ECW.so dans le répertoire /usr/lib/gdalplugins/1.11

C'est tout 8-o

Pour Mac OS

Consulter le wiki KyngChaos
et ce lien

Pour Windows

Télécharger la version souhaitée:
http://hub.qgis.org/projects/quantum-gis/wiki/DownloadFr

QGIS et ECW
La version 1.6 et 1.8 standalone fonctionne “out of the box” avec l'ECW et le plugin Grass ce qui n'est pas le cas de la version 1.7.
Attention, pour la lecture des images .ECW, la version 1.8 ne supporte pas les accents et les espaces dans les chemins d'accès aux données (image toute noire).

Update!! 11/03/13
La version 1.8.0.2 standalone peut ne pas prendre en charge l'ECW “out of the box”. Problème repéré sur windows Seven x32. Solution trouvée :
- récupéré un paquet compilé de gdal-ecw en version 1.9, deux liens possibles
http://www.gisinternals.com/sdk/Download.aspx?file=release-1600-gdal-1-9-2-mapserver-6-2-0gdal-19-1600-ecw.msi
http://www.bergfiles.com/i/bf4bf5834fh32i0
- l'installer, installation par défaut dans <progammes>/GDAL,
- cherchez dans l'installation faite les deux fichiers libecwj2.dll et gdal_ECW_JP2ECW.dll,
- les copier dans <votre répertoire d'installation de qgis 1.8>/bin/gdal/plugins/1.9
ET dans <votre répertoire d'installation de qgis 1.8>/bin (car la première copie ne suffit pas, je ne suis même pas sur qu'elle soit utile, non testé)

Optimiser QGis

1. Lancer Qgis, menu Préférences, Options de Qgis, SRC, projection par défaut, et choisir EPSG:2154 et sauvegarder par défaut pour définir le système de projection en Lambert-93.

2. Ajouter une couche raster *.ECW dans QGis, afficher les propriétés de la couche raster, sélectionner “pas d'étirement” pour l'amélioration des contrastes et sauvegarder par défaut pour accélérer l'affichage des ECW.

 
main/logiciels/qgis/installation.txt · Dernière modification: 2016/03/15 11:04 par ThomasG
Recent changes RSS feed Creative Commons License Valid XHTML 1.0 Valid CSS Driven by DokuWiki
Partagez  |